Can't update my Local 6.4.2 +6012

What issue or error are you experiencing?

Try to upgrade my Local on my 2012 macbook pro macOS Catalina ver 10.15.7. the upgrade fails and i get this message: Update failed: Code signature at URL file:///Users/######t/Library/Caches/com.getflywheel.lightning.local.ShipIt/update.G3dGVuP/Local.app/ did not pass validation: code failed to satisfy specified code requirement(s)

Should I remove local from my mac and reinstall it? If o how can I preserve the servers and sites I crated so I can have them come back after a fresh instal?


What steps can be taken to replicate the issue? Feel free to include screenshots, videos, etc


System Details

  • Local Version:

  • Operating System (OS) and OS version:


Local Logs

Attach your Local Logs here (Help Doc - Retrieving Local’s Log)


Security Reminder
Local does a pretty good job of scrubbing private info from the logs and the errors it produces, however there’s always the possibility that something private can come through. Because these are public forums, always review the screenshots you are sharing to make sure there isn’t private info like passwords being displayed.

Hi @Guth-Rosensock-Art

We had a major change with Local version 6.4.3 that required a manual update. You can find the steps here: